Name:        d2-coding-nerd-fonts
Version:     3.3.0
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/D2Coding.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c

%build
# Nothing to do here

%install

install -Dm644 D2CodingLigatureNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/D2CodingLigatureNerdFont-Bold.ttf
install -Dm644 D2CodingLigatureNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/D2CodingLigatureNerdFont-Regular.ttf
install -Dm644 D2CodingLigatureNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/D2CodingLigatureNerdFontMono-Bold.ttf
install -Dm644 D2CodingLigatureNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/D2CodingLigatureNerdFontMono-Regular.ttf
install -Dm644 D2CodingLigatureNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/D2CodingLigatureNerdFontPropo-Bold.ttf
install -Dm644 D2CodingLigatureNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/D2CodingLigatureNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/D2CodingLigatureNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/D2CodingLigatureNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/D2CodingLigatureNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/D2CodingLigatureNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/D2CodingLigatureNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/D2CodingLigatureNerdFontPropo-Regular.ttf
%license "LICENSE"
%doc "README.md"

%changelog
* Sun Dec 01 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.3.0-1
- Updated to version v3.3.0

* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
